/*
Copyright © 2024 NAME HERE <EMAIL ADDRESS>
*/
package cmd

import (
	"git.espin.casa/albert/cml04-falcon-system/bundle/app"
	"github.com/spf13/cobra"
)

// bundleCmd represents the bundle command
var bundleCmd = &cobra.Command{
	Use:   "bundle",
	Short: "Bundle service manager.",
	Long:  "Bundle service manager. Register, calculate values for bundles (production).",
	Run:   app.Run,
}

func init() {
	rootCmd.AddCommand(bundleCmd)

	// flags
	bundleCmd.Flags().String("db-username", "postgres", "database username")
	bundleCmd.Flags().String("db-password", "Me8140@01", "database user password")
	bundleCmd.Flags().String("db-host", "db", "database host address")
	bundleCmd.Flags().Int("db-port", 5432, "database tcp port")
	bundleCmd.Flags().String("db-name", "falcon", "database user password")
	bundleCmd.Flags().String("nats-host", "nats", "nats.io broker host address")
	bundleCmd.Flags().Int("nats-port", 4222, "nats.io broker tcp port")
	bundleCmd.Flags().String("log-level", "debug", "log level trace")
}
