/*
Copyright © 2024 NAME HERE <EMAIL ADDRESS>
*/
package cmd

import (
	"git.espin.casa/albert/cml04-falcon-system/handset/app"
	"github.com/spf13/cobra"
)

// handsetCmd represents the handset command
var handsetCmd = &cobra.Command{
	Use:   "handset",
	Short: "Handset service for reading/process barcodes.",
	Long:  "Handset service for reading and processing read barcodes from bundle labels.",
	Run:   app.Run,
}

func init() {
	rootCmd.AddCommand(handsetCmd)

	handsetCmd.Flags().String("http-addr", ":9443", "nats.io broker host address")
	handsetCmd.Flags().String("nats-host", "nats", "nats.io broker host address")
	handsetCmd.Flags().Int("nats-port", 4222, "nats.io broker tcp port")
	handsetCmd.Flags().String("log-level", "debug", "log level trace")
}
