package handlers

import (
	"net/http"

	"git.espin.casa/albert/cml04-falcon-system/internal/publisher"
	"github.com/julienschmidt/httprouter"
)

func BarCodeHandler(publisher publisher.Publisher) httprouter.Handle {
	return func(w http.ResponseWriter, r *http.Request, ps httprouter.Params) {
		barcode := ps.ByName("barcode")
		if err := publisher.NewBarcode(r.Context(), barcode); err != nil {
			http.Error(w, err.Error(), http.StatusInternalServerError)
		}
	}
}
